img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}

footer {
  width: 100%;
  background-color: #ffffff;
  font-family: "Arial", "Helvetica", "sans-serif";
  font-size: 60%;
  background-size: cover;
  text-align: center;
  padding-top: 0.3em;
  padding-bottom: 0.3em;
  color: #392b24;	
}

body {
  width: 100%;
  /*max-width: 2000px;*/
  margin: 0px;
  overflow-wrap: break-word;
}

header {
  width: 100%;
  /*max-width: 1000px;	*/
}

div.toc {
  color: #d5caca;
  font-style: italic;  
  padding-left: 1em;
  text-align: left;
  margin-bottom: 0.2em;
  padding-top: 0.7em;
}

.navbar {
  overflow: hidden;
  background-color: #392b24;
  font-family: "Arial", "Helvetica", "sans-serif";
  /*max-width: 2000px;*/
  margin: auto;
}

.navbar a {
  float: left;
  font-size: 100%;
  color: #d5caca;
  text-align: center;
  padding: 1em 1em;
  line-height: 1.3em;
  text-decoration: none;
}

.dropdown {
  float: left;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-size: 100%;
  border: medium none;
  outline: medium none;
  color: #d5caca;
  padding: 1em 1em;
  background-color: #392b24;
  margin: 0px;
}

.navbar a:hover, .dropdown:hover .dropbtn {
  background-color: #347356;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: #223241;
  padding: 1em 1em;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: #92d94d;
}

.dropdown:hover .dropdown-content {
  display: block;
}

img.InstaPicContainer{
  height: 1.0em;
  padding-right: 4px;
  opacity: 0.7;
}

div.InstaTextContainer{
  height: 1.3em;
}

div.InstaContainer{
  display:flex;
  justify-content: center;
}

div.calenderContainer{
}

div.weekContainer{
	font-size: 100%;
	display: flex;
	flex-direction: row;
	justify-content: center;
}

div.weekDay{
	display: flex;
	flex-direction: column;
	width: 12%;
	max-width: 90px;
	background-color: GhostWhite;
	text-align: center;
	padding-bottom: 15px;
	padding-top: 5px;
}

div.weekDayToday{
	display: flex;
	flex-direction: column;
	width: 12%;	
	max-width: 90px;
	background-color: #e9e7ff;
	text-align: center;
	padding-bottom: 15px;
	padding-top: 5px;
}


div.weekDayEntryDate{
	text-align: center;
	padding-bottom: 2px;
}

div.weekDayEntryOpenSlot{
	background-color: LawnGreen;
	text-align: center;
	padding-top: 2px;	
}

div.weekDayEntryBlocked{
	background-color: LightGrey;
	text-align: center;
	padding-top: 2px;	
}

div.weekDayEntryNoSlot{
	text-align: center;
	padding-top: 2px;
	color: lightgrey;
}

div.weekDayEntryMaybe{
	text-align: center;
	padding-top: 2px;
	background-color: Bisque;
}

div.weekDayPast{
	display: flex;
	flex-direction: column;
	width: 12%;
	max-width: 90px;
	text-align: center;
	padding-top: 2px;
}

div.weekDayEmpty{
	display: flex;
	flex-direction: column;
	width: 12%;
	max-width: 90px;
	padding-top: 2px;
}

div.weekDayName{
	width: 12%;
	max-width: 90px;
	text-align: center;
	padding-bottom: 10px;
	padding-top: 5px;
}

div.monthContainer{
	display: flex;
	flex-direction: row;
	justify-content: center;
}

div.monthName{
	font-size: 120%;
	text-align: center;
	padding-bottom: 10px;
	padding-top: 30px;
}

div.picbox {		
	 padding-left: 10%;
	 padding-right: 10%;
	 padding-bottom: 1em;
	 padding-top: 1em;
}

img.imgLandscape {
	width: 100%;
	object-fit: contain;
}

div.picPackLandscape{
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
}

div.picboxLandscape {	
	flex-grow: 1;
	max-width: 800px;
	min-width: 600px;
    overflow: hidden;
	padding: 1em;
}

div.picboxLandscapeCondensed {	
	flex-grow: 1;
	max-width: 500px;
    overflow: hidden;
	padding: 1em;
}

img.imgPortrait {
	width: 100%;
	object-fit: contain;
}

div.picPackPortrait{
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
}

div.picboxPortrait {	
	flex-grow: 1;
	max-width: 600px;
	min-width: 300px;
    overflow: hidden;
	padding: 1em;
}

div.PhotorollContainer{
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	justify-content: center;
	width: 100%;
	max-width: 800px;
	margin:  auto;
	background-color: white;
}

div.PhotorollLargePic{
	padding: 0px;
	max-width: 800px;
	max-height: 750px;
}

img.PhotorollLargePic {
	max-width: 800px;
	max-height: 750px;
	object-fit: contain;
	width: 100%;
}

div.PhotorollSmallPixContainer{	
	max-width: 796px;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
}

div.PhotorollSmallPic img{	
	height: 146px;
	padding-left: 2px;
	padding-right: 2px;
	padding-top: 4px;
	padding-bottom: 0px;
}

div.columnContainerPack {
	/*background-color: grey;*/
	display: flex;
	flex-direction: row;
	margin-top: 3em;
}

div.columnContainer {
	flex-grow: 1;
	flex-shrink: 1;
	flex-basis: 0px;
	/*background-color: ivory;*/
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	max-width: 500px;
	min-width: 200px;
	margin: 6px;
}

div.cellContainerVisible {
	width: 100%;
	margin: 6px;
}

div.cellPicContainer {
	background-color: red;
}

img.CellPic {
	border-radius: 15px;
	cursor: pointer;
}

div.CellPicText {
	color: #347356;
	font-size: 140%;
	text-align: center;
}

img.HiddenPic { display: none; }

div.popUpContainer {
	display: none;
	position: fixed;
	top: 0%;
	left: 0%;
	background-color: grey;
	display: flex;
	justify-content: center;
	margin:  auto;
	width: 100%;
	cursor: pointer;
}

div.popUpContainerPicDiv {
	padding: 1%;	
}

img.popUpContainerPic {
	object-fit: contain;
	width: 100%;
}

main {
  padding-left: 0%;
  font-family: "Arial", "Helvetica", "sans-serif";
  font-size: 100%;
  line-height: 130%;
}

section {
  padding-bottom: 1em;
  padding-left: 15%;
  width: 70%;
  text-align: justify;
}

h1 {
  color: #223241;
  font-size: 140%;
  line-height: 120%;
  font-family: "Arial", "Helvetica", "sans-serif";
  text-align: center;
  padding-bottom: 1em;
  padding-top: 1em;
}

h2 {
  text-align: left;
  color: #223241;
  font-size: 120%;
  font-family: "Arial", "Helvetica", "sans-serif";
}

h3 {
  text-align: center;
 color: #223241;
  font-size: 120%;
   padding-top: 3em;
  padding-bottom: 0.5em;
  margin: 0;
  font-family: "Arial", "Helvetica", "sans-serif";
}

h4 {
  padding-top: 1.5em;
  text-align: left;
  color: #223241;
  font-size: 90%;
  font-family: "Arial", "Helvetica", "sans-serif";
}

p {
  hyphens: auto; 
  margin:  auto;
  margin-block-start: 0em;
  margin-block-end: 0.5em;
  margin-top: 0px;
  text-indent: 0px;
  padding: 0px;
  max-width: 1000px;
}

p.indent {
  margin-block-start: 0em;
  margin-block-end: 0.5em;	
  hyphens: auto; 
  text-indent: 1em;
  padding: 0px;
}

p.hanging {
	text-indent: -2em; 
	padding-left: 2em;
}

div.bw{
   display: flex;
  flex-wrap: wrap;	
  flex-direction: row;
}

div.bwtxt { 
  hyphens: auto; 
  text-align: left;
  flex: 1 1 auto;
  background-color: #f9f9f9;
  padding: 1em;
}

div.bwpic {
  flex: 1 1 auto;
  background-color: #f9f9f9;
}

